gstreamermm: Gst::DiscovererInfo Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DiscovererInfo Class Reference

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer. More...

Inheritance diagram for Gst::DiscovererInfo:
[legend]
Collaboration diagram for Gst::DiscovererInfo:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
ClockTime | get_duration () const
Structure | get_misc () const
DiscovererResult | get_result () const
Glib::RefPtr < DiscovererStreamInfo > | get_stream_info ()
Glib::RefPtr< const DiscovererStreamInfo > | get_stream_info () const
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_stream_list ()
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_stream_list () const
TagList | get_tags () const
Glib::ustring | get_uri () const
bool | get_seekable () const
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_audio_streams ()
| Finds all the Gst::DiscovererAudioInfo contained in info. More...
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_audio_streams () const
| Finds all the Gst::DiscovererAudioInfo contained in info. More...
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_container_streams ()
| Finds all the Gst::DiscovererContainerInfo contained in info. More...
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_container_streams () const
| Finds all the Gst::DiscovererContainerInfo contained in info. More...
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_streams (GType streamtype)
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype. More...
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_streams (GType streamtype) const
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype. More...
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_video_streams ()
| Finds all the Gst::DiscovererVideoInfo contained in info. More...
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_video_streams () const
| Finds all the Gst::DiscovererVideoInfo contained in info. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr < DiscovererInfo > | create ()

## Protected Member Functions
| DiscovererInfo ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DiscovererInfo > | wrap (GstDiscovererInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Detailed Description

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer.

## Constructor & Destructor Documentation

Gst::DiscovererInfo::DiscovererInfo | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<DiscovererInfo> Gst::DiscovererInfo::create | ( |  | ) |
| static

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) |

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) | const

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) |

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) | const

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

ClockTime Gst::DiscovererInfo::get_duration | ( |  | ) | const

Returns
  The duration of the URI in Gst::ClockTime (nanoseconds).

Structure Gst::DiscovererInfo::get_misc | ( |  | ) | const

Returns
  Miscellaneous information stored as a Gst::Structure (for example: information about missing plugins). If you wish to use the Gst::Structure after the life-time of info, you will need to copy it.

DiscovererResult Gst::DiscovererInfo::get_result | ( |  | ) | const

Returns
  The result of the discovery as a Gst::DiscovererResult.

bool Gst::DiscovererInfo::get_seekable | ( |  | ) | const

Returns
  The whether the URI is seekable.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) |

Returns
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

Glib::RefPtr<const DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) | const

Returns
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) |

Returns
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) | const

Returns
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) |

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) | const

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

TagList Gst::DiscovererInfo::get_tags | ( |  | ) | const

Returns
  All tags contained in the URI. If you wish to use the tags after the life-time of info, you will need to copy them.

Glib::ustring Gst::DiscovererInfo::get_uri | ( |  | ) | const

Returns
  The URI to which this information corresponds to. Copy it if you wish to use it after the life-time of info.

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) |

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) | const

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GstDiscovererInfo* Gst::DiscovererInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gst::DiscovererInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gst::DiscovererInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gst::DiscovererInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererInfo > wrap | ( | GstDiscovererInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h